﻿program PythagorasTree;
uses GraphABC;
const
    angle1 = pi / 4; // Угол поворота: ╥/4 = 45°
    angle2 = pi / 6; // Угол поворота: ╥/6 = 30°
    angle3 = pi / 2; // Угол поворота: ╥/2 = 90°
procedure _Line(x, y : Integer; a, b : Real);
begin
    Line(x, y, Round(x + a * cos(b)), Round(y - a * sin(b))); //Процедура отрисовки частей
end; 
procedure DrawTree(x, y : Integer; a, b : real); //Рекурсивная процедура, использует процедуру _line.
begin   
    if a > 4 then
    begin
        a := a * 0.7;
        _Line(x, y, a, b);
        x := Round(x + a * cos(b));
        y := Round(y - a * sin(b));
        DrawTree(x, y, a, b + angle1);
        DrawTree(x, y, a, b - angle2);
    end;
end;
 
begin  
   DrawTree(300, 450, 200, angle3);
end.